SDL_DuplicateSurface(3)

NAME
SDL_DuplicateSurface - Creates a new surface identical to the existing surface.

SYNOPSIS
#include <SDL3/SDL_surface.h>

SDL_Surface * SDL_DuplicateSurface(SDL_Surface *surface);

DESCRIPTION
If the original surface has alternate images, the new surface will have a reference to them as well.

The returned surface should be freed with SDL_DestroySurface().

FUNCTION PARAMETERS

surface
    the surface to duplicate.

RETURN VALUE
Returns a copy of the surface or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_DestroySurface(3)